## org.apache.poi.hwpf.model.types
Class StdfPost2000AbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.StdfPost2000AbstractType

    @Internal
    public abstract class StdfPost2000AbstractType

extends java.lang.Object

The StdfPost2000 structure specifies general information about a style.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Field Summary
`protected short` `field_1_info1`
`protected long` `field_2_rsid`
`protected short` `field_3_info3`

Constructor Summary
`protected` `StdfPost2000AbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`byte` `getFSpare()` Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97
`byte` `getIftcHtml()` This field is undefined and MUST be ignored
`short` `getInfo1()` Get the info1 field for the StdfPost2000 record.
`short` `getInfo3()` Get the info3 field for the StdfPost2000 record.
`short` `getIPriority()` An unsigned integer that specifies the priority value that is assigned to this style and that is used when ordering the styles by priority in the user interface
`short` `getIstdLink()` An unsigned integer that specifies the istd of the style that is linked to this one, or 0x0000 if this style is not linked to any other style in the document.
`long` `getRsid()` An unsigned integer that specifies the revision save identifier of the session when this style definition was last modified.
`static int` `getSize()` Size of record
`boolean` `isFHasOriginalStyle()` Specifies whether the style is revision-marked.
`boolean` `isUnused()` This value MUST be zero and MUST be ignored
`void` `serialize(byte[] data, int offset)`
`void` `setFHasOriginalStyle(boolean value)` Sets the fHasOriginalStyle field value.
`void` `setFSpare(byte value)` Sets the fSpare field value.
`void` `setIftcHtml(byte value)` Sets the iftcHtml field value.
`void` `setInfo1(short field_1_info1)` Set the info1 field for the StdfPost2000 record.
`void` `setInfo3(short field_3_info3)` Set the info3 field for the StdfPost2000 record.
`void` `setIPriority(short value)` Sets the iPriority field value.
`void` `setIstdLink(short value)` Sets the istdLink field value.
`void` `setRsid(long field_2_rsid)` An unsigned integer that specifies the revision save identifier of the session when this style definition was last modified.
`void` `setUnused(boolean value)` Sets the unused field value.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_info1

    protected short field_1_info1

### field_2_rsid

    protected long field_2_rsid

### field_3_info3

    protected short field_3_info3

Constructor Detail

### StdfPost2000AbstractType

    protected StdfPost2000AbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInfo1

    @Internal
    public short getInfo1()

  Get the info1 field for the StdfPost2000 record.

### setInfo1

    @Internal
    public void setInfo1(short field_1_info1)

  Set the info1 field for the StdfPost2000 record.

### getRsid

    @Internal
    public long getRsid()

  An unsigned integer that specifies the revision save identifier of the session when this style definition was last modified.

### setRsid

    @Internal
    public void setRsid(long field_2_rsid)

  An unsigned integer that specifies the revision save identifier of the session when this style definition was last modified.

### getInfo3

    @Internal
    public short getInfo3()

  Get the info3 field for the StdfPost2000 record.

### setInfo3

    @Internal
    public void setInfo3(short field_3_info3)

  Set the info3 field for the StdfPost2000 record.

### setIstdLink

    @Internal
    public void setIstdLink(short value)

  Sets the istdLink field value. An unsigned integer that specifies the istd of the style that is linked to this one, or 0x0000 if this style is not linked to any other style in the document.

### getIstdLink

    @Internal
    public short getIstdLink()

  An unsigned integer that specifies the istd of the style that is linked to this one, or 0x0000 if this style is not linked to any other style in the document.

  Returns:
    the istdLink field value.

### setFHasOriginalStyle

    @Internal
    public void setFHasOriginalStyle(boolean value)

  Sets the fHasOriginalStyle field value. Specifies whether the style is revision-marked. A revision-marked style stores the pre-revision formatting in addition to the current formatting. If this bit is set to 1, the cupx member of StdfBase MUST include the formatting sets that specify that pre-revision formatting

### isFHasOriginalStyle

    @Internal
    public boolean isFHasOriginalStyle()

  Specifies whether the style is revision-marked. A revision-marked style stores the pre-revision formatting in addition to the current formatting. If this bit is set to 1, the cupx member of StdfBase MUST include the formatting sets that specify that pre-revision formatting

  Returns:
    the fHasOriginalStyle field value.

### setFSpare

    @Internal
    public void setFSpare(byte value)

  Sets the fSpare field value. Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97

### getFSpare

    @Internal
    public byte getFSpare()

  Specifies whether the paragraph height information in the fcPlcfPhe field of FibRgFcLcb97

  Returns:
    the fSpare field value.

### setIftcHtml

    @Internal
    public void setIftcHtml(byte value)

  Sets the iftcHtml field value. This field is undefined and MUST be ignored

### getIftcHtml

    @Internal
    public byte getIftcHtml()

  This field is undefined and MUST be ignored

  Returns:
    the iftcHtml field value.

### setUnused

    @Internal
    public void setUnused(boolean value)

  Sets the unused field value. This value MUST be zero and MUST be ignored

### isUnused

    @Internal
    public boolean isUnused()

  This value MUST be zero and MUST be ignored

  Returns:
    the unused field value.

### setIPriority

    @Internal
    public void setIPriority(short value)

  Sets the iPriority field value. An unsigned integer that specifies the priority value that is assigned to this style and that is used when ordering the styles by priority in the user interface

### getIPriority

    @Internal
    public short getIPriority()

  An unsigned integer that specifies the priority value that is assigned to this style and that is used when ordering the styles by priority in the user interface

  Returns:
    the iPriority field value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.